lasso (2.8.2-5) unstable; urgency=medium

  * debian/control: add python3-setuptools to build-depends. (closes: #1080625)

 -- Frederic Peters <fpeters@debian.org>  Thu, 05 Sep 2024 17:19:28 +0200

lasso (2.8.2-4) unstable; urgency=medium

  * debian/patches/misc-remove-usage-of-python-six-module.patch: backport
    upstream patch to remove python six module usage. (closes: #1079915)
  * debian/control: remove python3-six from build-depends.

 -- Frederic Peters <fpeters@debian.org>  Thu, 29 Aug 2024 12:14:31 +0200

lasso (2.8.2-3) unstable; urgency=medium

  * debian/patches/0001-misc-adjust-to-structured-error-callback-argument-ch.patch,
    debian/patches/0001-misc-fix-implicit-function-declaration-errors-85340.patch,
    debian/patches/0001-xml-fix-uninitialized-local-variable-85339.patch:
    backport git commits to fix build failure with GCC 14. (closes: #1075128)

 -- Frederic Peters <fpeters@debian.org>  Fri, 05 Jul 2024 10:36:46 +0200

lasso (2.8.2-2) unstable; urgency=medium

  * Acknowledge NMU.
  * d/control: remove explicit libxmlsec1-openssl from build-depends.
    (closes: #1065321)

 -- Frederic Peters <fpeters@debian.org>  Sat, 02 Mar 2024 18:58:24 +0100

lasso (2.8.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062518

 -- Lukas Märdian <slyon@debian.org>  Wed, 28 Feb 2024 17:25:28 +0000

lasso (2.8.2-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Frederic Peters <fpeters@debian.org>  Sat, 30 Dec 2023 10:18:40 +0100

lasso (2.8.1-4) unstable; urgency=medium

  * debian/tests/control: add missing/explicit python3-lasso to python
    autopkgtests (followup to 1059641).

 -- Frederic Peters <fpeters@debian.org>  Sat, 30 Dec 2023 08:48:25 +0100

lasso (2.8.1-3) unstable; urgency=medium

  * debian/tests/control: add missing depends: python3-all to python
    autopkgtests (closes: 1059641)

 -- Frederic Peters <fpeters@debian.org>  Fri, 29 Dec 2023 20:07:18 +0100

lasso (2.8.1-2) unstable; urgency=medium

  * debian/control: add build-dependency on python3-all (closes: 1056418)

 -- Frederic Peters <fpeters@debian.org>  Wed, 22 Nov 2023 13:09:36 +0100

lasso (2.8.1-1) unstable; urgency=medium

  * New upstream bugfix release.
  * debian/patches/use-openssl-evp-api.diff: remove, upstream.

 -- Frederic Peters <fpeters@debian.org>  Wed, 01 Mar 2023 08:36:25 +0100

lasso (2.8.0-4) unstable; urgency=medium

  * d/tests/control: introduce autopkgtests, checking that the Python binding
    runs basic methods correctly and the Perl module loads properly.

 -- Frederic Peters <fpeters@debian.org>  Thu, 09 Feb 2023 10:59:58 +0100

lasso (2.8.0-3) unstable; urgency=medium

  * d/changelog: fix typo in old changelog entry (s/uptream/upstream/).
  * d/liblasso3.symbols: strip debian revision from lasso_log symbol.
  * d/control, d/rules: run make check to catch some errors early.
    (closes: 809762) (adapted from patch by Corey Bryant, thanks).

 -- Frederic Peters <fpeters@debian.org>  Thu, 17 Nov 2022 09:29:59 +0100

lasso (2.8.0-2) unstable; urgency=medium

  * debian/patches/use-openssl-evp-api.diff: import upstream WIP patch for
    compatibility with latest xmlsec (closes: 1024138)

 -- Frederic Peters <fpeters@debian.org>  Wed, 16 Nov 2022 19:12:02 +0100

lasso (2.8.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/liblasso3.symbols: add declaration for new symbols:
    * lasso_get_default_key_encryption_method
    * lasso_get_default_signature_method
    * lasso_parse_key_encryption_method
    * lasso_provider_get_key_encryption_method
    * lasso_provider_set_key_encryption_method
    * lasso_set_default_key_encryption_method

 -- Frederic Peters <fpeters@debian.org>  Tue, 15 Mar 2022 16:07:45 +0100

lasso (2.7.0-3) unstable; urgency=medium

  * d/control, d/compat: switch to debhelper-compat, remove compat file.
  * d/control: remove ancient X-Python3-Version field.
  * d/control: update homepage to https.
  * d/control: add ${misc:Depends} to liblasso3-dev.
  * d/control: remove useless dh-autoreconf build dependency.
  * d/control: update standards-version to 4.6.0.
  * d/php5-lasso.*: remove files for delete PHP package.
  * d/liblasso-java.*: remove files for deleted Java package.
  * d/rules: use dh_prep instead of dh_clean -k.

 -- Frederic Peters <fpeters@debian.org>  Tue, 08 Mar 2022 08:17:20 +0100

lasso (2.7.0-2) unstable; urgency=medium

  * debian/rules: introduce build-arch/build-indep targets.
  * debian/rules: clean perl META files.
  * debian/rules: remove cleaning of id-wsf directory, it doesn't exist
    anymore.
  * debian/liblasso3.symbols: add lasso_log symbol introduced in 2.7.0-1.

 -- Frederic Peters <fpeters@debian.org>  Sat, 06 Nov 2021 13:42:52 +0100

lasso (2.7.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/: remove, all patches are now upstream.

 -- Frederic Peters <fpeters@debian.org>  Mon, 16 Aug 2021 18:31:12 +0200

lasso (2.6.1-3) unstable; urgency=high

  * debian/patches/0001-Fix-signature-checking-on-unsigned-response-with-mul.patch,
    taken from upstream repository,
    * CVE-2021-28091: Signature checking on unsigned response with multiple
      assertions

 -- Frederic Peters <fpeters@debian.org>  Tue, 01 Jun 2021 14:43:55 +0200

lasso (2.6.1-2) unstable; urgency=medium

  * debian/control: add gtk-doc-tools to build-depends, required when running
    autoreconf against autoconf 2.70. (closes: 978846)

 -- Frederic Peters <fpeters@debian.org>  Thu, 31 Dec 2020 15:41:40 +0100

lasso (2.6.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/: remove, all patches are now upstream.

 -- Frederic Peters <fpeters@debian.org>  Thu, 23 Apr 2020 20:52:51 +0200

lasso (2.6.0-8) unstable; urgency=medium

  * d/p/fix-parsing-of-saml-authncontext.diff: import upstream commit
    to fix parsing of saml:AuthnContextDecl (closes: #955354)

 -- Frederic Peters <fpeters@debian.org>  Mon, 30 Mar 2020 15:55:54 +0200

lasso (2.6.0-7) unstable; urgency=medium

  * Move lasso.pc to a multiarch location. (patch by Helmut Grohne,
    thanks, closes: #949989)

 -- Frederic Peters <fpeters@debian.org>  Tue, 28 Jan 2020 08:53:34 +0100

lasso (2.6.0-6) unstable; urgency=medium

  * d/control: remove unnecessary python build-dependency (closes: #936817)
  * d/p/build-without-python2.diff: import upstream commits related to
    building with Python 3.

 -- Frederic Peters <fpeters@debian.org>  Sun, 19 Jan 2020 10:23:50 +0100

lasso (2.6.0-5) unstable; urgency=medium

  * d/rules: update build/install target to support coinstalling for multiple
    Python 3 versions (closes: #945123)

 -- Frederic Peters <fpeters@debian.org>  Wed, 20 Nov 2019 11:01:24 +0100

lasso (2.6.0-4) unstable; urgency=medium

  * d/compat: bump to debhelper level 10.
  * d/control: bump Standards-Version to 4.4, but no switch to "dh" yet.
  * d/control, d/rules: remove obsolete support for building Java and PHP
    bindings; this also removes the d/control.in mechanism.
  * d/control: add explicit python dependency, still required for lasso/*.py
    build tools. (will be fixed in next upstream tarball)
  * d/rules: remove PYDEF variable unused with the removal of python-lasso.
  * d/rules: clean Python 3 __pycache__ directories.

 -- Frederic Peters <fpeters@debian.org>  Thu, 05 Sep 2019 08:03:12 +0200

lasso (2.6.0-3) unstable; urgency=medium

  * d/*: remove python-lasso (closes: #936817)

 -- Frederic Peters <fpeters@debian.org>  Fri, 30 Aug 2019 10:39:11 +0200

lasso (2.6.0-2) unstable; urgency=medium

  * d/compat: bump do debhelper level 9.
  * d/control, d/rules: add and use dh-autoreconf.
  * d/watch: add watch file.
  * d/control: bump Standards-Version to 4.1.4 after those changes.
  * d/liblasso3.symbols: add symbols file for liblasso3, imported from Ubuntu,
    thanks to Corey Bryant <corey.bryant@canonical.com> (closes: #894296)
  * d/liblasso3.symbols: update for 2.6.0.
  * d/control: add Multi-Arch: same to liblasso-perl.
  * d/control: use proper capitalization for ${misc:Depends}.
  * d/control: bump versions in X-Python-Version and X-Python3-Version.

 -- Frederic Peters <fpeters@debian.org>  Fri, 15 Jun 2018 21:33:58 +0200

lasso (2.6.0-1) unstable; urgency=medium

  * New upstream release.

 -- Frederic Peters <fpeters@debian.org>  Thu, 14 Jun 2018 09:10:09 +0200

lasso (2.5.99-1) unstable; urgency=medium

  * New upstream release candidate.
    - include support for SHA256 signatures (closes: #901411)
  * debian/patches/0001-perl-remove-quotes-from-PERL-V-ccflags-output.patch
    - dropped, released upstream
  * debian/patches/Use-INSTALLDIRS-vendor-for-the-Perl-bindings-as-per-.patch
    - dropped, released upstream

 -- Frederic Peters <fpeters@debian.org>  Wed, 13 Jun 2018 09:25:08 +0200

lasso (2.5.0-5) unstable; urgency=medium

  * d/: disable PHP support for now. (closes: #821547, #821683)

 -- Frederic Peters <fpeters@debian.org>  Thu, 05 May 2016 11:11:01 +0200

lasso (2.5.0-4) unstable; urgency=medium

  * d/control: add missing php5-common dependency. (closes: #811340)

 -- Frederic Peters <fpeters@debian.org>  Thu, 10 Mar 2016 22:38:24 +0100

lasso (2.5.0-3) unstable; urgency=medium

  * d/p/0001-perl-remove-quotes-from-PERL-V-ccflags-output.patch: new patch,
    make sure to remove quotes given by "perl -V::ccflags:" as they ultimately
    cause the 32bit builds to fail. (closes: #809759)
    * Thanks to Niko Tyni for the detailed diagnostic.
  * d/rules: enable verbose builds. (closes: #809760)

 -- Frederic Peters <fpeters@debian.org>  Mon, 11 Jan 2016 09:16:31 +0100

lasso (2.5.0-2) unstable; urgency=medium

  * Build against latest Perl release.

 -- Frederic Peters <fpeters@debian.org>  Sun, 03 Jan 2016 13:33:18 +0100

lasso (2.5.0-1) unstable; urgency=medium

  * New upstream release.
  * d/control, d/rules: add new package for Python 3 bindings.

 -- Frederic Peters <fpeters@debian.org>  Fri, 04 Sep 2015 17:48:04 +0200

lasso (2.4.1-1) unstable; urgency=medium

  * New upstream release.
  * d/p/perl-get-required-CFLAGS-from-perl-V-ccflags.patch: merged upstream
  * d/p/Use-INSTALLDIRS-vendor-for-the-Perl-bindings-as-per-.patch: refreshed

 -- Frederic Peters <fpeters@debian.org>  Thu, 28 Aug 2014 17:27:48 +0200

lasso (2.4.0-4) unstable; urgency=medium

  * d/p/Use-INSTALLDIRS-vendor-for-the-Perl-bindings-as-per-.patch: use
    INSTALLDIRS=vendor for the Perl bindings, as per the Debian Perl policy.
    (thanks Niko Tyni)
  * debian/rules, debian/liblasso-perl.install: don't hardcode /usr/lib/perl5
    (thanks Niko Tyni, again) (closes: #752703)

 -- Frederic Peters <fpeters@debian.org>  Wed, 25 Jun 2014 23:15:03 +0200

lasso (2.4.0-3) unstable; urgency=medium

  * d/p/perl-get-required-CFLAGS-from-perl-V-ccflags.patch (stolen from git):
    get required CFLAGS from $(perl -V::ccflags:) (closes: #742522)

 -- Frederic Peters <fpeters@debian.org>  Tue, 08 Apr 2014 09:29:11 +0200

lasso (2.4.0-2) unstable; urgency=medium

  * debian/php5-lasso.prerm: fix call to php5dismod. (closes: #734767)

 -- Frederic Peters <fpeters@debian.org>  Mon, 13 Jan 2014 11:00:16 +0100

lasso (2.4.0-1) unstable; urgency=low

  * New upstream version.
  * debian/control, debian/rules: use autoreconf
  * debian/source/version: switch to 3.0 (quilt)

 -- Frederic Peters <fpeters@debian.org>  Tue, 07 Jan 2014 13:22:21 +0100

lasso (2.3.6-3) unstable; urgency=medium

  * Remove double-free in lasso_node_build_deflated_query. (thanks Andjelko
    Horvat, closes: #732543)
  * Enable hardened build flags. (thanks Moritz Muehlenhoff, closes: #667555)
  * debian/php5-lasso.{postinst,prerm}: use php5enmod and php5dismod.
    (closes: #667766)
  * bindings/php5/lasso.ini: change comment marker. (closes: #571736)

 -- Frederic Peters <fpeters@debian.org>  Sun, 29 Dec 2013 10:06:47 +0100

lasso (2.3.6-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Apply commit a5674b48 from upstream to port to the libxml buffer API.
    Also adopt changes for the Perl binding. libxml stopped to expose the
    internals of xmlOutputBuffer in 2.9. (Closes: #713668)

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 30 Jul 2013 14:19:34 +0200

lasso (2.3.6-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Convert to dh_python2 (Closes: #616856).

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 30 May 2013 20:36:16 +0200

lasso (2.3.6-2) unstable; urgency=low

  * Fix building against glib 2.32 (closes: #665565, #666636)

 -- Frederic Peters <fpeters@debian.org>  Mon, 02 Apr 2012 17:31:31 +0200

lasso (2.3.6-1) unstable; urgency=low

  * New upstream version.
  * bindings/php5/wrapper_source.py: use zend_function_entry, making it build
    against PHP 5.4 (upstream, closes: #662622)

 -- Frederic Peters <fpeters@debian.org>  Mon, 05 Mar 2012 14:07:05 +0100

lasso (2.3.5-4) unstable; urgency=low

  * Don't force gcc 4.4 anymore; /facepalm. (closes: #635640)

 -- Frederic Peters <fpeters@debian.org>  Thu, 28 Jul 2011 08:16:14 +0200

lasso (2.3.5-3) unstable; urgency=low

  * debian/control.in, debian/rules: disable liblasso-java on all
    architectures, at the moment it is too complicated to have reliable builds
    with java activated. (closes: #624777)
  * build against a newer perl version. (closes: #635446)

 -- Frederic Peters <fpeters@debian.org>  Tue, 26 Jul 2011 22:36:27 +0200

lasso (2.3.5-2) unstable; urgency=low

  * debian/liblasso-perl.install: fixed module name (uppercase L).
    (closes: #622114)
  * debian/liblasso3-dev.install: do not install libtool archive file.
    (closes: #620909, #621560)
  * debian/control.in: add build-dependency on gcc-4.4, to match the gcj
    version that is used.
  * debian/rules:
    + force gcc 4.4, because of gcj 4.4.
    + remove rpath from Lasso.so Perl module.
    + remove obsolete call to dh_python.

 -- Frederic Peters <fpeters@debian.org>  Mon, 11 Apr 2011 09:35:48 +0200

lasso (2.3.5-1) unstable; urgency=low

  * New upstream release.

 -- Frederic Peters <fpeters@debian.org>  Tue, 08 Feb 2011 09:58:03 +0100

lasso (2.2.1-4) unstable; urgency=low

  * debian/control, debian/rules: updated build-depends for recent gcj
    changes, and to use the default gcc version. (Closes: #566895)

 -- Frederic Peters <fpeters@debian.org>  Mon, 25 Jan 2010 22:34:55 +0100

lasso (2.2.1-3) unstable; urgency=low

  * debian/control, debian/rules: add missing dependency on phpapi-$foo.
    (Closes: #566288)

 -- Frederic Peters <fpeters@debian.org>  Sun, 24 Jan 2010 16:25:18 +0100

lasso (2.2.1-2) unstable; urgency=high

  * Correctly check for signature validity (CVE-2009-0050) (Closes: #511262)

 -- Frederic Peters <fpeters@debian.org>  Fri, 09 Jan 2009 10:30:58 +0100

lasso (2.2.1-1) unstable; urgency=low

  * New upstream release.

 -- Frederic Peters <fpeters@debian.org>  Tue, 22 Jul 2008 15:51:52 +0200

lasso (2.2.0-1) unstable; urgency=low

  * New upstream release.
    * Acknowledge NMU.
    * Fixed missing quotes in configure.in (Closes: #487816)
  * debian/control:
    * Updated package descriptions,
    * Used new Homepage field.
    * Moved liblasso-perl to perl section.
  * debian/rules:
    * remove config.log on clean.
    * remove empty id-wsf include directory.

 -- Frederic Peters <fpeters@debian.org>  Sun, 13 Jul 2008 12:06:12 +0200

lasso (2.1.98-4.1) unstable; urgency=high

  * NMU.
  * Don't build-depend on gcj and gcj-4.3 on alpha, arm, hppa (same as for
    java-gcj-compat). Closes: #477870.
  * Adjust list of architectures for liblasso-java. Closes: #479737.

 -- Matthias Klose <doko@debian.org>  Sun, 25 May 2008 11:28:09 +0200

lasso (2.1.98-4) unstable; urgency=low

  * debian/rules: create control from control.in, so liblasso-java is not
    built on architectures lacking gcj.

 -- Frederic Peters <fpeters@debian.org>  Sun, 04 May 2008 12:17:10 +0200

lasso (2.1.98-3) unstable; urgency=low

  * debian/liblasso-perl.install: really fix building with Perl 5.10.

 -- Frederic Peters <fpeters@debian.org>  Sat, 03 May 2008 12:30:41 +0200

lasso (2.1.98-2) unstable; urgency=low

  * debian/liblasso-perl.install: use wildcard for minor version number; so it
    still works with Perl 5.10.  (closes: #479065)

 -- Frederic Peters <fpeters@debian.org>  Fri, 02 May 2008 16:30:09 +0200

lasso (2.1.98-1) unstable; urgency=low

  * New upstream release (RC).
  * debian/control:
    * build new php5-lasso package.
    * limit liblasso-java to architecture with gcj (closes: #477870).
    * add Homepage field.
    * liblasso3-dev: Replace ${Source-Version} with ${binary:Version}
      (from Ubuntu patch)
  * debian/rules:
    * ignore liblasso-java package on architectures without gcj.
    * update to match new upstream language bindings layout.
    * don't ignore a make clean error.  (from Ubuntu patch)

 -- Frederic Peters <fpeters@debian.org>  Tue, 29 Apr 2008 22:03:51 +0200

lasso (2.1.1-3) unstable; urgency=low

  * debian/rules: added call to dh_perl; debian/control: added ${perl:Depends}
    (closes: #463097)
  * configure(.ac): fixed gcj check to work with gcj-4.3; debian/control:
    updated build-deps for gcj 4.3 and added gcc-4.3; debian/rules: force
    gcc-4.3 so jni.h is found and the java interface is built.
    (closes: #464319)

 -- Frederic Peters <fpeters@debian.org>  Tue, 25 Mar 2008 16:48:15 +0100

lasso (2.1.1-2) unstable; urgency=low

  * debian/rules, debian/*.files: updated from dh_movefiles to dh_install
    * really install files in liblasso-perl package (closes: #446578)

 -- Frederic Peters <fpeters@debian.org>  Mon, 15 Oct 2007 17:12:37 +0200

lasso (2.1.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control: added liblasso-perl, Perl bindings for the library.
  * debian/rules: --enable-perl

 -- Frederic Peters <fpeters@debian.org>  Wed, 22 Aug 2007 18:08:12 +0200

lasso (2.0.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control: removes php4-lasso since PHP4 is no longer provided.
    (closes: #432422, #418268)

 -- Frederic Peters <fpeters@debian.org>  Mon, 09 Jul 2007 22:55:58 +0200

lasso (0.6.5-3) unstable; urgency=low

  * Converted to new Python policy (merged from unreported Ubuntu patch)
    * debian/control: keep conflict on python2.4-lasso which is unnecessary
      for Debian but will reduce Ubuntu changes.

 -- Frederic Peters <fpeters@debian.org>  Sat, 21 Oct 2006 17:31:47 +0200

lasso (0.6.5-2) unstable; urgency=low

  * debian/control: adding libgcj-dev and fastjar to build-depends since
    liblasso-java is now built.

 -- Frederic Peters <fpeters@debian.org>  Wed, 22 Mar 2006 11:06:56 +0100

lasso (0.6.5-1) unstable; urgency=low

  * New upstream release.
    * Incorporates Ubuntu patch for phpapi version.

 -- Frederic Peters <fpeters@debian.org>  Tue, 21 Mar 2006 10:48:05 +0100

lasso (0.6.4-1) unstable; urgency=low

  * New upstream release.

 -- Frederic Peters <fpeters@debian.org>  Mon, 13 Mar 2006 11:38:09 +0100

lasso (0.6.3-4) unstable; urgency=low

  * debian/control: removed mono packages from build-depends since the -cil
    package is no longer built.

 -- Frederic Peters <fpeters@debian.org>  Thu,  6 Oct 2005 14:18:56 +0200

lasso (0.6.3-3) unstable; urgency=low

  * debian/control: fixed php depends line. (closes: #331710)

 -- Frederic Peters <fpeters@debian.org>  Tue,  4 Oct 2005 22:59:17 +0200

lasso (0.6.3-2) unstable; urgency=low

  * php/Makefile.am: don't patch autogenerated swig file if swig was not
    present (which implies the file has already been patched)
  * debian/rules: touch swig generated files after configure so swig is
    not called; even if available. (closes: #331699)

 -- Frederic Peters <fpeters@debian.org>  Tue,  4 Oct 2005 21:52:25 +0200

lasso (0.6.3-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: new FSF address.

 -- Frederic Peters <fpeters@debian.org>  Fri, 30 Sep 2005 01:07:49 +0200

lasso (0.6.2-3) unstable; urgency=low

  * debian/control: removed liblasso-cil package since the .net assembly
    doesn't work (and don't even compile anymore) (closes: #320898)

 -- Frederic Peters <fpeters@debian.org>  Fri, 19 Aug 2005 23:08:43 +0200

lasso (0.6.2-2) unstable; urgency=low

  * debian/rules: removed call to dh_makenetshlibs which is no longer shipped
    with Mono 1.1 packages. (closes: #311837)
  * debian/control, debian/rules: updated to new CLI policy. 

 -- Frederic Peters <fpeters@debian.org>  Fri,  3 Jun 2005 20:15:12 +0200

lasso (0.6.2-1) unstable; urgency=low

  * New upstream release.

 -- Frederic Peters <fpeters@debian.org>  Thu, 26 May 2005 11:56:42 +0200

lasso (0.6.1-3) unstable; urgency=low

  * debian/control: fixed Depends line, this is no longer -zts.
  * debian/control: updated Build-depends to php4-dev (>= 4:4.3.10-10)
    (closes: #301330)

 -- Frederic Peters <fpeters@debian.org>  Fri, 25 Mar 2005 10:15:22 +0100

lasso (0.6.1-2) unstable; urgency=low

  * Rebuilt with PHP Zend Thread Safety disabled.
  * lasso/xml/lib_authn_request.c, lasso/id-ff/login.c: backported
    AssertionConsumerServiceID fix from CVS.
  * python/lasso_wrap.c, python/lasso.py: regenerated with SWIG 1.3.22;
    1.3.24 created a buggy binding.
  * debian/control: Build-depends on mono-utils (>= 1.0)

 -- Frederic Peters <fpeters@debian.org>  Fri, 25 Mar 2005 08:50:39 +0100

lasso (0.6.1-1) unstable; urgency=low

  * New upstream release.
  * lasso/id-ff/login.c: backported SAML 1.0 compatibility fix from CVS.

 -- Frederic Peters <fpeters@debian.org>  Sun,  6 Mar 2005 14:07:45 +0100

lasso (0.6.0-1) unstable; urgency=low

  * New upstream release.
  * Rebuilt with new PHP API. (closes: #294003)

 -- Frederic Peters <fpeters@debian.org>  Tue,  8 Feb 2005 13:42:24 +0100

lasso (0.4.1-3) unstable; urgency=low

  * debian/control: added libexpat1-dev to build-depends; it is required for
    the PHP binding.

 -- Frederic Peters <fpeters@debian.org>  Mon, 13 Sep 2004 09:26:34 +0200

lasso (0.4.1-2) unstable; urgency=low

  * debian/control: added python to build-depends

 -- Frederic Peters <fpeters@debian.org>  Sun, 12 Sep 2004 21:40:57 +0200

lasso (0.4.1-1) unstable; urgency=low

  * New upstream release.

 -- Frederic Peters <fpeters@debian.org>  Wed,  8 Sep 2004 10:40:56 +0200

lasso (0.4.0-1) unstable; urgency=low

  * New upstream release.
    * changed soname, liblasso0 -> liblasso1
  * Packaging of PHP4 binding and .NET assemblies.

 -- Frederic Peters <fpeters@debian.org>  Mon,  6 Sep 2004 19:18:38 +0200

lasso (0.3.0-6) unstable; urgency=low

  * debian/control: improved package description (closes: #266556)
  * python/: backported fix to use libtool correctly; should fix the build
    failures on hppa and amd64 (closes: #267556, #268198)

 -- Frederic Peters <fpeters@debian.org>  Thu, 26 Aug 2004 17:01:13 +0200

lasso (0.3.0-4) unstable; urgency=low

  * debian/copyright: fixed address of the FSF; add a pointer to
    /usr/share/common-licenses/GPL.
  * debian/control: lasso source package goes in section libs and liblasso-dev
    goes in section libdevel
  * debian/control: -dev package renamed to liblasso0-dev; provides
    liblasso-dev (per Debian Library Packaging guide)

 -- Frederic Peters <fpeters@debian.org>  Sun,  8 Aug 2004 10:55:39 +0200

lasso (0.3.0-3) unstable; urgency=low

  * fixed lasso.pc

 -- Frederic Peters <fpeters@debian.org>  Thu, 29 Jul 2004 23:24:57 +0200

lasso (0.3.0-2) unstable; urgency=low

  * debian/liblasso0-python2.3.files: don't include static library in Python
    package. [brown bag]

 -- Frederic Peters <fpeters@debian.org>  Tue, 27 Jul 2004 17:23:07 +0200

lasso (0.3.0-1) unstable; urgency=low

  * Initial Release.

 -- Frederic Peters <fpeters@debian.org>  Tue, 27 Jul 2004 16:50:43 +0200

